- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
SAT
Complete List of ArrayFire Functions ArrayFire Functions by Category » Image Processing » | Filters

Summed Area Tables. More...

## Functions
AFAPI array | sat (const array &in)
| C++ Interface wrapper for summed area tables. More...
AFAPI af_err | af_sat (af_array *out, const af_array in)
| C Interface wrapper for summed area tables. More...

## Detailed Description

Summed Area Tables.

Given an image \( I: (x,y) \mapsto i \) where i is pixel intensity at position \((x, y)\).

\(S(x, y) = i(x, y) + S(x-1, y) + S(x, y-1) - S(x-1, y-1)\)

The output array of this function will have \( S(x, y) \) values at their corresponding locations, \((x,y)\)

## Function Documentation

AFAPI af_err af_sat | ( | af_array * | out,
|  | const af_array | in
| ) |  |

C Interface wrapper for summed area tables.

Parameters

  [out] | out | is the summed area table on input image(s)
  [in] | in | is the input array

Returns
  AF_SUCCESS if the sat computation is successful, otherwise an appropriate error code is returned.

AFAPI array af::sat | ( | const array & | in | ) |

C++ Interface wrapper for summed area tables.

Parameters

  [in] | in | is the input array

Returns
  the summed area table of input image